NETExtendedStrut Struct Reference

`#include <netwm_def.h>`

## Public Member Functions

| NETExtendedStrut ()

## Public Attributes

int | left_width
int | left_start
int | left_end
int | right_width
int | right_start
int | right_end
int | top_width
int | top_start
int | top_end
int | bottom_width
int | bottom_start
int | bottom_end

## Detailed Description

Partial strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values, and ranges for them. The existence of this class is to keep the implementation from being dependant on a separate framework/library. See the _NET_WM_STRUT_PARTIAL property in the NETWM spec.

Definition at line 153 of file netwm_def.h.

## Constructor & Destructor Documentation

NETExtendedStrut::NETExtendedStrut | ( |  | ) |

inline

Constructor to initialize this struct to 0,0,0,0.

Definition at line 157 of file netwm_def.h.

## Member Data Documentation

int NETExtendedStrut::bottom_width

Bottom border of the strut, width and range.

Definition at line 179 of file netwm_def.h.

int NETExtendedStrut::left_width

Left border of the strut, width and range.

Definition at line 164 of file netwm_def.h.

int NETExtendedStrut::right_width

Right border of the strut, width and range.

Definition at line 169 of file netwm_def.h.

int NETExtendedStrut::top_width

Top border of the strut, width and range.

Definition at line 174 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys